[arch-commits] Commit in ypserv/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Apr 29 01:10:53 EDT 2009


    Date: Wednesday, April 29, 2009 @ 01:10:53
  Author: eric
Revision: 36962

upgpkg: ypserv 2.20-1
    Upstream update, Added license

Modified:
  ypserv/trunk/PKGBUILD

----------+
 PKGBUILD |   24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-29 05:08:56 UTC (rev 36961)
+++ PKGBUILD	2009-04-29 05:10:53 UTC (rev 36962)
@@ -2,27 +2,27 @@
 # Maintainer: judd <jvinet at zeroflux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 pkgname=ypserv
-pkgver=2.19
+pkgver=2.20
 pkgrel=1
 pkgdesc="NIS (formerly YP) provides a simple network lookup service consisting of databases and processes"
 arch=(i686 x86_64)
 url="http://www.linux-nis.org"
+license=('GPL2')
 depends=('gdbm' 'openslp')
 backup=('etc/ypserv.conf' 'etc/netgroup' 'var/yp/securenets')
-source=(ftp://ftp.kernel.org/pub/linux/utils/net/NIS/$pkgname-$pkgver.tar.gz \
+source=(ftp://ftp.kernel.org/pub/linux/utils/net/NIS/$pkgname-$pkgver.tar.bz2 \
   ypserv yppasswd)
-md5sums=('9a34308ff9ab32b576532506fecff687' 'c40befe5932f1b42efaced6b46809303'\
+md5sums=('6dd4f796a98089f87ed175d880bcd3a8' 'c40befe5932f1b42efaced6b46809303'\
          '4bc84c48ed1bb9659698853acb5cfd76')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr YPMAPDIR=$startdir/pkg/var/yp \
-    varypdir=$startdir/pkg/var/yp install
-  install -D -m644 etc/netgroup $startdir/pkg/etc/netgroup
-  install -D -m644 etc/ypserv.conf $startdir/pkg/etc/ypserv.conf
-  install -D -m644 etc/securenets $startdir/pkg/var/yp/securenets
-  install -D -m755 ../ypserv $startdir/pkg/etc/rc.d/ypserv
-  install -D -m755 ../yppasswd $startdir/pkg/etc/rc.d/yppasswd
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m644 etc/netgroup $pkgdir/etc/netgroup
+  install -D -m644 etc/ypserv.conf $pkgdir/etc/ypserv.conf
+  install -D -m644 etc/securenets $pkgdir/var/yp/securenets
+  install -D -m755 ../ypserv $pkgdir/etc/rc.d/ypserv
+  install -D -m755 ../yppasswd $pkgdir/etc/rc.d/yppasswd
 }



More information about the arch-commits mailing list